package com.tanpu.fund.api.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author: zhoupeng
 * @email: zhoupeng_08@163.com
 */
@ApiModel("基金信息")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class FundInfoVO {

    @ApiModelProperty("基金id")
    private String fundId;

    @ApiModelProperty("基金类型")
    private Integer bonusType;

    @ApiModelProperty("基金类型名称")
    private String bonusTypeName;

    @ApiModelProperty("基金名称")
    private String fundName;

    @ApiModelProperty("累积净值")
    private String cumulProfit;

    @ApiModelProperty("累计收益")
    private String retIncep;

    @ApiModelProperty("年化收益")
    private String yearProfit;

    @ApiModelProperty("占比")
    private String ratio;

    @ApiModelProperty("对比产品id")
    private String ratioId;
    @ApiModelProperty("较上次调仓")
    private String ratioTransfer;

}
