package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.IfaImportedFundInfoViewOld;
import com.tanpu.fund.entity.generator.IfaImportedFundInfoViewOldExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface IfaImportedFundInfoViewOldMapper {
    long countByExample(IfaImportedFundInfoViewOldExample example);

    int deleteByExample(IfaImportedFundInfoViewOldExample example);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(IfaImportedFundInfoViewOld record);

    int insertOrUpdate(IfaImportedFundInfoViewOld record);

    int insertOrUpdateSelective(IfaImportedFundInfoViewOld record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(IfaImportedFundInfoViewOld record);

    List<IfaImportedFundInfoViewOld> selectByExample(IfaImportedFundInfoViewOldExample example);

    int updateByExampleSelective(@Param("record") IfaImportedFundInfoViewOld record, @Param("example") IfaImportedFundInfoViewOldExample example);

    int updateByExample(@Param("record") IfaImportedFundInfoViewOld record, @Param("example") IfaImportedFundInfoViewOldExample example);

    int batchInsert(@Param("list") List<IfaImportedFundInfoViewOld> list);
}